
function loadState( filename )
	local env = setmetatable( {}, { __index = _G } )
	local lfunc = love.filesystem.load( filename )
	if not lfunc then  error( err )  end
	setfenv( lfunc, env )
	lfunc()
	return env
end

slides = {}
for _, v in pairs( love.filesystem.getDirectoryItems"slides" ) do
	local name = tonumber( v:match"^(%d+).lua$" )
	if name then
		slides[name] = loadState( "slides/" .. v )
	end
end

local currentSlideIndex
function setSlide( index, noInit )
	currentSlideIndex = index
	state = slides[index]
	if not noInit then
		state.init()
	end
end

function nextSlide()
	if currentSlideIndex<#slides then
		return setSlide( currentSlideIndex + 1 )
	else
		return love.event.quit()
	end
end
function lastSlide()
	if currentSlideIndex>1 then
		return setSlide( currentSlideIndex - 1 )
	end
end

setSlide( 1 )
